Update document visibility for recipients
This method updates document visibility for one or more recipients based on the recipientId and visible values that you include in the request body.
Note: A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document. Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all documents.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
The envelope’s GUID.
Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
Request
This endpoint expects an object: documentVisibilityList
An array of documentVisibility objects that specifies which documents are visible to which recipients.
Response
An array of documentVisibility objects that specifies which documents are visible to which recipients.